Gestiono
Referencia de APIAccounting / Pending Record

Update Pending Record template

← Back to full API reference
PATCH/v1/record/pending/templateAuth required

A pending record refers to documents (invoice, quote, order, loan) that can later be linked to records such as payments, credits, and accounting movements.

  • Requires organization permissions for this resource.
  • Validated by Zod schema: postPendingRecordTemplate.

Request details

Body fields

FieldRequiredDescription
timeYesType: number
versionYesType: string
invoiceVersionNoType: string
blocksYesType: arrayExample:
blocks[]YesType: object
blocks[].typeYesType: enumExample: invoice
blocks[].dataYesType: object
blocks[].data.shareIdYesType: string
blocks[].data.showTaxesNoBoolean parser helper from common/utils.zBooleanExample: true
blocks[].data.showDescriptionNoBoolean parser helper from common/utils.zBoolean
blocks[].data.showSkuNoBoolean parser helper from common/utils.zBoolean
blocks[].data.showSignatureNoBoolean parser helper from common/utils.zBoolean
blocks[].data.extendedClientDataNoBoolean parser helper from common/utils.zBoolean
blocks[].data.customContentYesType: object
blocks[].data.customContent.topYesType: string
blocks[].data.customContent.middleYesType: string
blocks[].data.customContent.bottomYesType: string
blocks[].data.customContent.organizationNameNoType: string
blocks[].data.customContent.chargeToYesType: string
blocks[].data.customContent.signatureNoType: string

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "time": 1,
  "version": "string",
  "blocks": [
    {
      "type": "invoice",
      "data": {
        "shareId": "string",
        "customContent": {
          "top": "string",
          "middle": "string",
          "bottom": "string",
          "chargeTo": "string"
        }
      }
    }
  ]
}

Sample response

json
{}